Subject: Re: Pull is Mostly Evil

From: Felipe Contreras <[email-masked]>
Date: Mon, 05 May 2014 13:15:37 -0500

Richard Hansen wrote:
> On 2014-05-03 06:00, John Szakmeister wrote:
> > FWIW, at my company, we took another approach.  We introduced a `git
> > ffwd` command that fetches from all remotes, and fast-forwards all
> > your local branches that are tracking a remote, and everyone on the
> > team uses it all the time.  It should be said this team also likes to
> > use Git bare-metal, because they like knowing how things work
> > out-of-the-box.  But they all use the command because it's so
> > convenient.
> 
> I also wrote a script to fast-forward all local branches to their
> configured upstream refs.  I finally got around to uploading it
> somewhere public:
> 
>    https://github.com/richardhansen/git-update-branch
> 
> I use it in my 'git up' alias:
> 
>    git config --global alias.up \
>        '!git remote update -p; git update-branch -a'
> 
> If there's interest I can tweak the style to conform to
> Documentation/CodingGuidelines and stick it in contrib/ or something.

I think this would fit perfectly in the proposed `git update` command as
an option: `git update --all`.

-- 
Felipe Contreras